/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:12pm
Filepath: scripts\Items\artifacts\Gauntlet\NimbleFingers.cs
Lines of code: 40

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class NimbleFingers : LeatherGloves
	{
		public override int ArtifactRarity{ get{ return 11; } }
		public override int BasePhysicalResistance{ get{ return 2; } }
		public override int BaseColdResistance{ get{ return 3; } }
		public override int BaseEnergyResistance{ get{ return 3; } }
		public override int BasePoisonResistance{ get{ return 23; } }
		public override int BaseFireResistance{ get{ return 16; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public NimbleFingers()
		{
			Name = "Nimble Fingers";
			Hue = 1160;
			SkillBonuses.SetValues( 0, SkillName.Alchemy, 10.0 );
			Attributes.BonusInt=5;
			Attributes.BonusMana=10;
			Attributes.CastSpeed=1;
			Attributes.EnhancePotions=15;
		}

		public NimbleFingers( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}